Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::box< Element, Tag, detail::box_compress::coalesce > Class Template Reference
Utility

## Public Member Functions
template<typename E > requires (!same_as<box, detail::decay_t<E>>) && constructible_from<Element, E> && convertible_to<E, Element>
constexpr | box (E &&) noexcept
template<typename E > requires (!same_as<box, detail::decay_t<E>>) && constructible_from<Element, E> && (!convertible_to<E, Element>)
constexpr | box (E &&) noexcept
constexpr Element && | get () &&noexcept
constexpr Element & | get () &noexcept
constexpr Element const && | get () const &&noexcept
constexpr Element const & | get () const &noexcept